using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组附件表
    /// </summary>
    [SugarTable("Grp_DeleFile")]
    public class Grp_DeleFile:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int Diid { get; set; }
        /// <summary>
        /// 类别标识
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Category { get; set; }
        /// <summary>
        /// 次级类别
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Kind { get; set; }
        /// <summary>
        /// 文件名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string FileName { get; set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string FilePath { get; set; }
    }
}
